﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
	public class DataSource : ObservableCollection<object>
	{
		public DataSource()
		{
			this.Add(new Cluster("DUKE-CLUSTER-1"));
			this.Add(new Cluster("DUKE-CLUSTER-2"));
			this.Add(new Cluster("DUKE-CLUSTER-3"));
			this.Add(new Cluster("LIETIME-DFS"));
			this.Add(new Cluster("MTV-DFS"));
			this.Add(new Cluster("SOURCES-CLUSTER-1"));
			this.Add(new Cluster("SOURCES-CLUSTER-2"));
			this.Add(new Cluster("SOURCES-CLUSTER-3"));

			CustomViews customViews = new CustomViews("Custom Views");
			CustomView customView1 = new CustomView("Custom 1");
			CustomView customView2 = new CustomView("UNASSOCIATED");
			customViews.Children.Add(customView1);
			customViews.Children.Add(customView2);
			this.Add(customViews);
		}
	}
}
